# `abacusai.data_filter`

## Module Contents

### Classes

`DataFilter` | A sql logic statement for including and excluding data from training

class abacusai.data_filter.DataFilter(client, sql=None, type=None, whereExpression=None, join=None)

  Bases: `abacusai.return_class.AbstractApiClass`

  A sql logic statement for including and excluding data from training

  Parameters:

    - client (ApiClient) – An authenticated API Client instance

    - sql (str) – [DEPRECATED] The sql logic for excluding data from this dataset

    - type (str) – Either INCLUDE or EXCLUDE

    - whereExpression (str) – The SQL WHERE expression for excluding or including data from this dataset

    - join (str) – The SQL operator to join with the following statement, if any

  __repr__()

    Return repr(self).

  to_dict()

    Get a dict representation of the parameters in this class

    Returns:

      The dict value representation of the class parameters

    Return type:

      dict